(* marioxcc_tactics.sig - Tactics and utilities for HOL4

Copyright © Mario Castelán Castro.

This work is licensed as free software under the GNU General Public License
either version 3 or any later version published by the Free Software
Foundation. See <https://www.gnu.org/licenses/gpl.html>.

As an additional permission (see section 7 of the GNU General Public
License, version 3) you may convey copies of this work or a work based on
this work without a copy of the license. The other requirements of the
license remain in effect. *)

signature marioxcc_tactics =
sig
  include Abbrev

  val nconj_tac:tactic
  val strip_all:tactic
  val trfm:term quotation -> tactic -> tactic
  val must_prove:term quotation -> tactic -> tactic
  val lemma:term quotation -> tactic -> tactic
  val done:tactic
  val now:term quotation -> tactic -> tactic
  val now_ns:term quotation -> tactic -> tactic
  val use:term quotation -> tactic
  val use_prev:tactic
  val with_assuml:term quotation list -> tactic
  val with_assum:term quotation -> tactic
  val suffices:term quotation -> tactic -> tactic
  val bsimp:thm list -> tactic
  val asm_bsimp:thm list -> tactic
  val full_bsimp:thm list -> tactic
end
